import { db } from 'src/lib/db'

export const kaufs = () => {
  return db.kauf.findMany()
}

export const kauf = ({ id }) => {
  return db.kauf.findUnique({
    where: { id },
  })
}

export const createKauf = ({ input }) => {
  return db.kauf.create({
    data: input,
  })
}

export const updateKauf = ({ id, input }) => {
  return db.kauf.update({
    data: input,
    where: { id },
  })
}

export const deleteKauf = ({ id }) => {
  return db.kauf.delete({
    where: { id },
  })
}

export const Kauf = {
  artikel: (_obj, { root }) => {
    return db.kauf.findUnique({ where: { id: root?.id } }).artikel()
  },
}
